Skip to content

UDP

All operations require authentication.

10 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List UDP farmsBeta

GET
/1.0/ipLoadbalancing/{serviceName}/udp/farm

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

vrackNetworkId
integer

Filter the value of vrackNetworkId property (=)

zone
string

Filter the value of zone property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a UDP farmBeta

POST
/1.0/ipLoadbalancing/{serviceName}/udp/farm

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

displayName
string

Human readable name for your backend, this field is for you

port
required
integer

Port attached to your farm ([1..49151]). Inherited from frontend if null

vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network to attach to your farm, mandatory when your Load Balancer is attached to a vRack

zone
required
string

Zone of your farm

Response

200BackendUdpsuccessful operation
displayName
string

Human readable name for your backend, this field is for you

farmId
read-only
integer

Id of your farm

port
integer

Port attached to your farm. Inherited from frontend if null

vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack

zone
read-only
string

Zone of you farm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "farmId": 0, "port": 0, "vrackNetworkId": 0, "zone": "string"}

Get a UDP farmBeta

GET
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Response

200BackendUdpsuccessful operation
displayName
string

Human readable name for your backend, this field is for you

farmId
read-only
integer

Id of your farm

port
integer

Port attached to your farm. Inherited from frontend if null

vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack

zone
read-only
string

Zone of you farm

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "farmId": 0, "port": 0, "vrackNetworkId": 0, "zone": "string"}

Delete a UDP farmBeta

DELETE
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a UDP farmBeta

PUT
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

displayName
string

Human readable name for your backend, this field is for you

farmId
read-only
integer

Id of your farm

port
integer

Port attached to your farm. Inherited from frontend if null

vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack

zone
read-only
string

Zone of you farm

Response

200—successful operation

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId} \
  -H "authorization: Bearer $OVH_TOKEN"

List farm serversBeta

GET
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Query parameters

address
ipv4

Filter the value of address property (=)

status
BackendCustomerServerStatusEnum

Filter the value of status property (=)

Valuesactiveinactive

Response

200integer[]successful operation

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a farm serverBeta

POST
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

address
required
ipv4

Address of your server

displayName
string

Human readable name for your server, this field is for you

port
integer

Port attached to your server ([1..49151]). Inherited from farm if null

status
required
BackendCustomerServerStatusEnum

Enable or disable your server

Valuesactiveinactive

Response

200BackendUDPServersuccessful operation
address
read-only
ipv4

Address of your server

backendId
read-only
integer

farm id

displayName
string

Human readable name for your server, this field is for you

port
integer

Port attached to your server. Inherited from farm if null

serverId
read-only
integer

Id of your server

status
BackendCustomerServerStatusEnum

Status attached to your server

Valuesactiveinactive

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "192.0.2.0", "backendId": 0, "displayName": "string", "port": 0, "serverId": 0, "status": "active"}

Get a farm serverBeta

GET
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server/{serverId}

Path parameters

farmId
required
integer

Id of your farm

serverId
required
integer

Id of your server

serviceName
required
string

The internal name of your IP load balancing

Response

200BackendUDPServersuccessful operation
address
read-only
ipv4

Address of your server

backendId
read-only
integer

farm id

displayName
string

Human readable name for your server, this field is for you

port
integer

Port attached to your server. Inherited from farm if null

serverId
read-only
integer

Id of your server

status
BackendCustomerServerStatusEnum

Status attached to your server

Valuesactiveinactive

Example uses farmId = 0, serverId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server/{serverId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "192.0.2.0", "backendId": 0, "displayName": "string", "port": 0, "serverId": 0, "status": "active"}

Delete a farm serverBeta

DELETE
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server/{serverId}

Path parameters

farmId
required
integer

Id of your farm

serverId
required
integer

Id of your server

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses farmId = 0, serverId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server/{serverId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a farm serverBeta

PUT
/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server/{serverId}

Path parameters

farmId
required
integer

Id of your farm

serverId
required
integer

Id of your server

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

address
read-only
ipv4

Address of your server

backendId
read-only
integer

farm id

displayName
string

Human readable name for your server, this field is for you

port
integer

Port attached to your server. Inherited from farm if null

serverId
read-only
integer

Id of your server

status
BackendCustomerServerStatusEnum

Status attached to your server

Valuesactiveinactive

Response

200—successful operation

Example uses farmId = 0, serverId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/farm/{farmId}/server/{serverId} \
  -H "authorization: Bearer $OVH_TOKEN"